Package com.logicaldoc.core

# Class PersistenceException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.sql.SQLException
com.logicaldoc.core.PersistenceException

All Implemented Interfaces:
  `Serializable`, `Iterable<Throwable>`

Direct Known Subclasses:
  `TooManyDocumentsException`, `ValidationException`

public class PersistenceException extends SQLException
Raised when a problem happens in the data layer.

Since:
  8.3.4
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PersistenceException()`
`PersistenceException(String message)`
`PersistenceException(String message, Throwable cause)`
`PersistenceException(Throwable cause)`

## Method Summary

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Constructor Details

### PersistenceException

public PersistenceException()

### PersistenceException

public PersistenceException(String message, Throwable cause)

### PersistenceException

public PersistenceException(String message)

### PersistenceException

public PersistenceException(Throwable cause)